html {
  scroll-behavior: smooth;
}

body {
  font-size: 18px;
  line-height: 1.8em;
  color: #515151;
  font-family: Arial, "微軟正黑體", "新細明體", Helvetica, sans-serif;
}

section {
  padding: 2em 1.5em;
}

.kv {
  padding-top: 4rem;
}

nav {
  font-weight: 700;
  background: #0097a7;
  /* background-image: linear-gradient(120deg, #BED400 0%, #00A13F 100%); */
  box-shadow: 0 0 3px rgb(0 0 0 / 20%);
}

.navbar {
  padding: 0px 5vw;
  margin: 0px;
}

.navbar-brand img {
  max-width: 75%;
}

.navbar-nav {
  width: 100%;
}

.hightlight {
  background-color: #3cc4f1;
}

.navbar-dark .navbar-nav .nav-link {
  color: #ffffff;
}

.nav-link {
  padding: 20px;
  transition: transform 0.2s ease, color 0.2s ease;
}

.nav-link:hover {
  transform: translate(2px, 1px);
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link:focus {
  color: #b2ebf2;
}

.navbar-signup {
  background-color: #ff8906;
  margin: 0 8px;
  position: relative;
}

.signup-tag {
  position: absolute;
  top: 102%;
  width: 100%;
  min-width: 80px;
  padding: 5px 10px;
  text-align: center;
  background-color: #e03200;
  font-size: 90%;
  border-radius: 10px;
}

.signup-tag::before {
  content: '';
  position: absolute;
  top: -20px;
  border-top: 10px solid transparent;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #e03200;
}

@media (max-width: 991px) {
  .signup-tag {
    position: relative;
  }

  .signup-tag::before {
    content: none;
  }
}


.section-foreword {
  margin-top: 2rem;
}

.foreword-title {
  color: #333333;
  font-weight: 700;
  margin-bottom: 2rem;
  line-height: 1.8;
  letter-spacing: 2px;
}

.foreword-title::after {
  content: "";
  width: 120px;
  height: 3px;
  display: block;
  border-left: 60px solid #009fe8;
  background-color: #bed400;
}

.section-info {
  background-color: #eff3f5;
}

.section-agenda {
  background-color: #fff;
}

.section-sp {
  background-color: #fff;
}

.section-visit {
  background-color: #b2ebf2;

  line-height: 2.3;
  padding: 4em 0;
}

.visit-point {
  color: #757575;
  background-color: #ffffff;
  margin-bottom: 15px;
  padding: 10px 20px;
  border-radius: 25px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}

.info-title {
  margin-right: 4px;
  font-weight: 700;
}

.main-title {
  position: relative;
  text-align: center;
  color: #333333;
  font-weight: 700;
  margin-bottom: 20px;
}

.title-img {
  max-width: 50px;
  margin-bottom: 15px;
}

.day-title {
  color: #fff;
  letter-spacing: 2px;
  text-align: center;
  margin-bottom: -10px;
}

.day-title-block {
  /*border: 2px solid #00A13F;*/
  padding: 8px 18px;
  background-color: #00bcd4;
  border-radius: 6px;
}

.info-box {
  padding-left: 4rem;
}

.section-date {
  padding: 6em 0;
  background-size: cover;
  background-color: #0097a7;
  background-position: center;
  background: url(../img/background.jpg);
  background-attachment: fixed;
}

.schedule-box {
  background-color: #fff;
  padding: 35px 10px 20px;
  border: 5px solid #eff3f5;
  border-radius: 10px;
}

.date-box {
  background-color: rgba(255, 255, 255, 0.85);
  padding: 30px 40px;
  text-align: center;
  color: #121212;
}

.date-box h2 {
  font-size: 2.2em;
  letter-spacing: 2px;
  font-weight: 700;
  color: #00bcd4;
}

.date-box h3 {
  font-size: 2em;
  font-weight: 700;
}

.date-box p {
  margin: 20px 0 0;
  font-size: 20px;
}

.visit-title {
  color: #ffff37;
  text-align: center;
  font-size: 2em;
  font-weight: 700;
}

.visit-list {
  padding: 8px 4px;
  border-bottom: 1px solid #fff;
}

.tour-title {
  font-size: 1.5em;
  text-align: center;
  font-weight: 700;
  background-color: #333;
  border-radius: 8px 8px 0 0;
  box-shadow: 2px 2px 3px #4efeb3;
}

.tour-info {
  font-size: 0.9em;
  background-color: #01b468;
  padding: 10px 5px;
  border-radius: 0 0 8px 8px;
  margin-bottom: 10px;
  box-shadow: 2px 1px 3px #4efeb3;
}

/* agenda */
.section-agenda h4 {
  margin: 25px 0;
}

.ag-tab {
  margin-top: 20px;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
  background-color: #0097a7;
}

.ag-link {
  margin: 10px;
  background-color: #b2ebf2;
  font-size: 1.2em;
}

.agenda-time {
  text-align: center;
  width: 20%;
}

.agenda-title {
  color: #121212;
  font-weight: bold;
  font-size: 1.1em;
}

.agenda-mark span {
  background-color: #eee;
  color: #999;
  padding: 4px 10px;
  margin-right: 5px;
  font-size: 0.7em;
  border-radius: 2px;
}

.agenda-name {
  font-size: 0.85em;
  color: #757575;
  line-height: 1.5;
}

.agenda-datetitle {
  font-size: 24px;
  font-weight: 700;
  color: #0097a7;
}

/*
Timeline
*/
.timeline-time {
  position: absolute;
  left: -100px;
  font-size: 18px;
  color: #222;
}

ul.timeline {
  list-style-type: none;
  position: relative;
  margin-left: 95px;
}

ul.timeline:before {
  content: " ";
  background: #b2ebf2;
  display: inline-block;
  position: absolute;
  left: 32px;
  width: 4px;
  height: 99%;
  z-index: 400;
  margin-top: 5px;
}

ul.timeline>li {
  margin: 20px 0;
  padding-left: 20px;
}

ul.timeline>li:before {
  content: " ";
  background: white;
  display: inline-block;
  position: absolute;
  border-radius: 50%;
  border: 4px solid #00bcd4;
  left: 23px;
  width: 22px;
  height: 22px;
  z-index: 400;
  margin-top: 5px;
}

.btn-timeline {
  background-color: #00bcd4;
  color: #ffffff;
  margin: 5px 0 10px;
}

.timeline-modal-title {
  font-weight: 600;
  font-size: 1.5rem;
  color: #0097a7;
  margin-bottom: 20px;
}

.location {
  font-size: 0.9em;
  color: #0097a7;
  margin-left: 5px;
}

/* speaker */

figure.sp-area {
  border-radius: 50%;
  position: relative;
  overflow: hidden;
  min-width: 220px;
  max-width: 310px;
  width: 100%;
  background: #000000;
  text-align: center;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
  border: 6px solid #00bcd4;
}

figure.sp-area * {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-transition: all 0.35s ease-in-out;
  transition: all 0.35s ease-in-out;
}

figure.sp-area img {
  max-width: 100%;
  vertical-align: top;
}

figure.sp-area i {
  position: absolute;
  top: 50%;
  left: 50%;
  border-radius: 50%;
  font-size: 34px;
  color: #000000;
  width: 60px;
  height: 60px;
  line-height: 60px;
  background: #ffffff;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
  -webkit-transform: translate(-50%, -50%) scale(0);
  transform: translate(-50%, -50%) scale(0);
  transition: all 300ms 0ms cubic-bezier(0.6, -0.28, 0.735, 0.045);
}

figure.sp-area a {
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  position: absolute;
}

figure.sp-area.blue {
  background-color: #b2ebf2;
}

figure.sp-area.blue i {
  color: #0097a7;
}

figure.sp-area:hover img,
figure.sp-area.hover img {
  opacity: 0.3;
  -webkit-filter: grayscale(100%);
  filter: grayscale(100%);
}

figure.sp-area:hover i,
figure.sp-area.hover i {
  -webkit-transform: translate(-50%, -50%) scale(1);
  transform: translate(-50%, -50%) scale(1);
  transition: all 300ms 100ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.modal-title {
  font-weight: 600;
}

.sp-name,
.sp-desc {
  text-align: center;
}

.sp-name {
  color: #212121;
  font-size: 1.6rem;
  font-weight: 600;
}

.sp-desc {
  margin: 6px 0 10px;
  color: #757575;
}

.modal-img {
  width: 45%;
  border-radius: 50%;
  border: 5px solid #0097a7;
}

.modal-body-title {
  margin-bottom: 10px;
}

.modal-body-title span {
  background-color: #00bcd4;
  color: #fff;
  padding: 5px 10px;
  border-radius: 5px;
}

.modal-body h5 {
  font-size: 18px;
  font-weight: bold;
}

.modal-body p {
  font-size: 16px;
  line-height: 1;
}

/* section-gift */
.section-gift {
  background-color: #b2ebf2;
  background-image: linear-gradient(to right top, #0097a7, #1daab5, #33bdc2, #47d0cf, #5be4db);
}

.gift-info {
  color: #ffffff;
 font-size: 17px;
 padding: 10px 5px;
 text-align: justify;
}

.gift-info span{
  font-weight: 600;
  background: linear-gradient(transparent 0%, #005D6C 0%);
}

/*sponsor*/

.level-block-title {
  color: #333;
  font-weight: 700;
  text-align: center;
  margin: 20px 0 10px;
}

.level-block img {
  max-width: 250px;
  transition: 0.3s;
}

.level-block img:hover {
  /* border: 1px solid #ddd; */
  opacity: 0.5;
}

.section-footer-info {
  color: #fff;
  background-color: #757575;
  font-size: 14px;
  line-height: 1.8;
}

footer {
  color: #fff;
  background-color: #212121;
  font-size: 16px;
  padding: 1% 0;
  line-height: 1.4em;
}

/*sidebar*/
#sidebarReg .register {
  background-color: #e52888;
  color: #fff;
  position: fixed;
  bottom: 15%;
  right: 0;
  border: none;
  display: block;
  font-weight: bold;
  font-size: 20px;
  writing-mode: vertical-lr;
  padding: 25px 10px;
  z-index: 10;
  border-radius: 10px 0 0 10px;
  box-shadow: 2px 3px 8px 0px rgba(58, 15, 228, 0.32);
}

#sidebarReg .register:hover {
  background-color: #420790;
}

#gotopBtn {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Fixed/sticky position */
  bottom: 20px;
  /* Place the button at the bottom of the page */
  right: 30px;
  /* Place the button 30px from the right */
  z-index: 99;
  /* Make sure it does not overlap */
  border: none;
  /* Remove borders */
  outline: none;
  /* Remove outline */
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  cursor: pointer;
  /* Add a mouse pointer on hover */
  padding: 15px 20px;
  border-radius: 10px;
  font-size: 18px;
}

#gotopBtn:hover {
  background-color: #999;
}